Subject: RE: draft-raggarwa-rsvpte-pw-01.txt

From: "Gray, Eric" <[email-masked]>
Date: Thu, 24 Mar 2005 09:05:07 -0500

Sasha,
 
    Just as a general note, there's a saying (and a few jokes based on it)
about
making mistakes.  It paraphrases something like this:
 
    Anybody can make a mistake once.
    Making the same mistake twice should be avoided.
    Making a mistake a third time is an indication of something else:
        The particular mistake is becoming a habit,
        The mistake turns out to be unavoidable, or
        It only looks like a mistake.
 
In this case, an impartial observer is likely to see that many things are
done
in the IETF without formalizing the problem being solved and many efforts to

formalize a problem definition after the fact are simply attempts by other 
people or groups to get the first person or group to solve a problem they
had 
no interest in solving.
 
I think it has been observed before that this leads to solutions intended to

solve too many problems.
 
In other words, the IETF version of Pork-Barrel Politics at work.
 
--
Eric

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Sasha
Vainshtein
Sent: Thursday, March 24, 2005 4:13 AM
To: [email-masked]
Cc: Shahram Davari
Subject: RE: [PWE3] draft-raggarwa-rsvpte-pw-01.txt

Hi all,
I agree with Andy, Florin and others that it would be premature to advance
any of the proposed solutions to a WG document at this stage.
I also agree that neither making a mistake once nor even falling on the same
mistake many times does not justify intentionally repeating it again.
 
Regards,
                                  Sasha Vainshtein
email:                          <mailto:[email-masked]> [email-masked]
phone:                       +972-3-7569993 (office)
fax:                            +972-3-6487779
mobile:                      +972-52-8674833 

-----Original Message-----
From: Andrew G. Malis [mailto:[email-masked]]
Sent: Thursday, March 24, 2005 1:28 AM
To: Shahram Davari
Cc: [email-masked]
Subject: RE: [PWE3] draft-raggarwa-rsvpte-pw-01.txt

Shahram,

That doesn't make it right ... this is a problem that happens much too often
at the IETF - for example, one of the BOFs I attended in Minneapolis was
very clearly an already implemented solution looking for a justification to
become a WG to ratify their solution as a standards-track RFC (and it was
also clear that they hadn't done their homework and both the IETF and IEEE
already have mechanisms to solve that particular problem - but now I'm
ranting off-topic).

Cheers,
Andy

At 3/23/2005 14:37 -0800, Shahram Davari wrote:

If I recall correctly this rule has not been traditionally followed by IETF.
For example MPLS OAM Requirements was accepted as an MPLS WG draft in Feb
2003, more than a year after MPLS-ping was accepted as WG draft in March
2002.
 
-Shahram
 
What a concept ... have some requirements before we do the protocol design
... 

Cheers,

Andy 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3